#include <QObject>
#include <QString>
#include <QEvent>
#include <QPoint>
#include <QSize>
#include "linuxinputevent.h"

class TouchEvent : public LinuxInputEvent
{
	Q_OBJECT
  public:
	TouchEvent(const QString &dev, QObject *parent = 0);
	virtual void ignore(bool ignore = true);

  protected:
	void sendMouseEvent(QEvent::Type type, QPoint pos);
	QPoint trans(QPoint pos);
	virtual void recvEvent(struct input_event *ev);
	virtual void waitForRelease();

  protected:
	QString m_device;
	QPoint m_pos;
	Qt::MouseButton m_button;
	QPoint m_lastPos;
	Qt::MouseButton m_lastbutton;
	QSize m_screen;

	QWidget *m_widget;
};
